import request from '@/utils/request'

// 获取直播账户列表
export function getList(query) {
	return request({
		url: '/live/account/list',
		method: 'get',
		params: query
	})
}

// 新增快手直播账户
export function addAccount(query) {
	return request({
		url: '/live/account/add',
		method: 'post',
		data: query
	})
}


// 获取直播投流投放配置列表
export function getLaunchList(query) {
	return request({
		url: '/launch/strategy/list',
		method: 'get',
		params: query
	})
}

// 新增直播投流投放
export function addLaunchList(query) {
	return request({
		url: '/launch/strategy/add',
		method: 'post',
		data: query
	})
}

// 删除/编辑直播投流投放
export function editLaunch(query) {
	return request({
		url: '/launch/strategy/edit',
		method: 'post',
		data: query
	})
}


// 获取直播投流投放详情
export function getById(query) {
	return request({
		url: '/launch/strategy/getById',
		method: 'get',
		params: query
	})
}


// 获取地域
export function getRegion(query) {
	return request({
		url: '/launch/target/getRegion',
		method: 'post',
		params: query
	})
}


// 获取人群
export function getPopulation(query) {
	return request({
		url: '/launch/target/getPopulation',
		method: 'post',
		params: query
	})
}


// 获取购物意图
export function getPurchaseIntention(query) {
	return request({
		url: '/launch/target/getPurchaseIntention',
		method: 'post',
		params: query
	})
}


// 批量创建模板
export function adds(query) {
	return request({
		url: '/launch/template/adds',
		method: 'post',
		data: query
	})
}


// 批量获取模板信息
export function getTemplateByIds(query) {
	return request({
		url: '/launch/template/getByIds',
		method: 'get',
		params: query
	})
}



// 查询创建记录
export function queryGroupRecord(query) {
	return request({
		url: '/launch/group/queryGroupRecord',
		method: 'get',
		params: query
	})
}

// 执行创建
export function createByStrategy(query) {
	return request({
		url: '/launch/strategy/createByStrategy',
		method: 'post',
		params: query
	})
}



